export declare type EventMap = {
    [eventName: string]: ((ctx: any, params?: any) => any)[];
};
/**
 * 事件容器组件上下文
 */
export declare class EventContainerContext {
    data: {};
    bizData: {};
    private _customEvent;
    constructor({ data }: {
        data: any;
    });
    /**
     * 自定义操作事件注册
     * @param {String} name - 事件名称
     * @param {Function} cb - 函数
     * @return {*}
     */
    on: (name: any, cb: any) => void;
    /** 自定义事件派发：执行所有已注册的自定义事件
     * @param {String} name - 事件名称
     * @param {String} params - 事件参数
     * @return {Boolean}
     */
    emit: (name: any, params?: any) => Promise<any>;
    /**
     * 更新响应式全局数据
     * @param _data - 待更新的数据
     */
    setData(_data: any): void;
    /**
     * 更新非响应式全局业务数据
     * @param _data - 待更新的数据
     */
    setBizData(key: any, _data: any): void;
    /**
     * 获取指定key的更新非响应式全局业务数据
     */
    getBizData(key: any): any;
}
