import { PropType } from 'vue';
import { GetDefinitionOpts } from './app-workflow-api';
declare const _default: {
    props: {
        workflowContext: {
            type: ObjectConstructor;
        };
        appContext: {
            type: PropType<GetDefinitionOpts>;
        };
    };
    data(): {
        diagramUrl: any;
        bpmnModeler: any;
        XmlDescribe: any;
        activities: any;
        highlightNodes: any[];
        locus: {
            columns: {
                title: string;
                key: string;
            }[];
            data: any[];
            show: boolean;
            mouseout: boolean;
            entry: any;
            panelHeight: number;
        };
    };
    watch: {
        content: () => void;
    };
    mounted(): Promise<void>;
    methods: {
        initBpmnModeler(): void;
        createDiagram(xml: any, bindingEvents?: boolean): Promise<void>;
        setNodeColor: (ids: any, newBpmn: any, colorClass: string) => void;
        bindEvents(): void;
        formatTime: (value: any) => string;
    };
};
export default _default;
